%define modname	Net-Patricia
%define moddir	Net/Patricia

Name:		perl-%{modname}
Version:	1.014
Release:	%mkrel 7
License:	GPL or Artistic
Group:		Development/Perl
Summary:	Patricia Trie perl module for fast IP address lookups
Source:		http://search.cpan.org/CPAN/modules/by-module/%{modname}/%{modname}-%{version}.tar.bz2
URL:		http://search.cpan.org/dist/%{modname}
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Boulder - An API for hierarchical tag/value structures

%prep
%setup -q -n %{modname}-%{version}

%build
%{__perl} Makefile.PL
%make

%install
rm -Rf %{buildroot}
%make DESTDIR=%{buildroot} pure_vendor_install \
INSTALLSITELIB=%perl_vendorlib \
INSTALLSITEMAN1DIR=%{_mandir}/man1 \
INSTALLSITEMAN3DIR=%{_mandir}/man3
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'

%check
%make test

%clean
rm -Rf %{buildroot}

%files
%defattr(-,root,root)
%{perl_vendorarch}/%{moddir}*
%{perl_vendorarch}/auto/%{moddir}*
%{_mandir}/man?/*





%changelog
* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.014-7mdv2009.0
+ Revision: 258058
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.014-6mdv2009.0
+ Revision: 246160
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.014-4mdv2008.1
+ Revision: 152225
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Dec 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.014-3mdv2008.1
+ Revision: 137055
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Oct 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.014-2mdv2007.0
+ Revision: 73478
- import perl-Net-Patricia-1.014-2mdv2007.1

* Fri Jul 07 2006 Buchan Milne <bgmilne@obsidian.co.za> 1.014-1mdv2007.0
- first Mandriva package

